Subject: bug#10220: closed (Re: bug#10220: Make check errors!)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 05 Dec 2011 22:09:02 +0000

Your bug report

#10220: Make check errors!

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10220: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10220
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10220: Make check errors!
From: Paul Eggert <[email-masked]>
To: Basavaraj B <[email-masked]>
Cc: [email-masked]
Date: Mon, 05 Dec 2011 14:07:33 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for reporting that.  I installed the following
fix into the trunk, and something like it should appear
in the next coreutils version.  If you want to work around
it by hand without installing the autotools, you can
substitute \043 for \# in src/Makefile before typing
'make'.

2011-12-05  Paul Eggert  <[email-masked]>

	maint: don't assume GNU make \# syntax
	Problem reported by Basavaraj B (Bug#10220).
	(fs_normalize_perl_subst): Use \043 rather than \#.
	\043 is portable to all ASCIIish platforms, whereas \# is portable
	only to platforms that are compatible with GNU make (and are
	incompatible with POSIX make).  Porting this to EBCDIC is left as
	an exercise for the reader....

diff --git a/src/Makefile.am b/src/Makefile.am
index b0b7eb5..f36e138 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -571,11 +571,11 @@ fs_normalize_perl_subst =			\
   -e 's/(\s+0x)(\X{6})\b/$${1}00$$2/;'		\
   -e 's/(\s+0x)(\X{7})\b/$${1}0$$2/;'		\
   -e 's/^\s+//;'				\
-  -e 's/^\#define\s+//;'			\
+  -e 's/^\043define\s+//;'			\
   -e 's/^_(XIAFS)/$$1/;'			\
   -e 's/^USBDEVICE/USBDEVFS/;'			\
   -e 's/NTFS_SB/NTFS/;'				\
-  -e 's/^/\# define S_MAGIC_/;'			\
+  -e 's/^/\043 define S_MAGIC_/;'		\
   -e 's,\s*/\* .*? \*/,,;'
 
 CLEANFILES += fs-magic

Subject: Make check errors!
From: Basavaraj B <[email-masked]>
To: [email-masked]
Date: Mon, 5 Dec 2011 16:59:42 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Team,

I am running coreutils-8.14 version on NONSTOP_KERNEL, Tandem machine.
After my build is success I am getting below error for 'make check' command:
 make check
make  check-recursive
Making check in lib
make  check-recursive
Making check in src
"Makefile", line 2143: Missing operator
"Makefile", line 2144: Missing operator
Fatal errors encountered -- cannot continue
*** Error code 1

Stop.
*** Error code 2

Stop.

Makefile of  src is attached for your reference.
Could you please let me know the cause?

Thanks in Advance,
Regards,
Basavaraj B